'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _table = require('antd/lib/table');

var _table2 = _interopRequireDefault(_table);

var _Pagination = require('../Pagination');

var _Pagination2 = _interopRequireDefault(_Pagination);

var _olaToolkit = require('ola-toolkit');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Table = (_temp = _class = function (_Component) {
  (0, _inherits3.default)(Table, _Component);

  function Table() {
    (0, _classCallCheck3.default)(this, Table);
    return (0, _possibleConstructorReturn3.default)(this, (Table.__proto__ || (0, _getPrototypeOf2.default)(Table)).apply(this, arguments));
  }

  (0, _createClass3.default)(Table, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          pagination = _props.pagination,
          otherProps = (0, _objectWithoutProperties3.default)(_props, ['pagination']);


      var paginationProps = pagination;

      if (pagination) {
        var total = void 0,
            pageSize = void 0,
            current = void 0;
        var page = pagination.page;

        if (page) {
          if ((0, _olaToolkit.isImmutable)(page)) {
            total = page.get(pagination.totalKey || _Pagination2.default.defaultProps.totalKey);
            pageSize = page.get(pagination.pageSizeKey || _Pagination2.default.defaultProps.pageSizeKey);
            current = page.get(pagination.currentKey || _Pagination2.default.defaultProps.currentKey);
          } else {
            total = page[pagination.totalKey || _Pagination2.default.defaultProps.totalKey];
            pageSize = page[pagination.pageSizeKey || _Pagination2.default.defaultProps.pageSizeKey];
            current = page[pagination.currentKey || _Pagination2.default.defaultProps.currentKey];
          }

          paginationProps = (0, _extends3.default)({
            hideOnSinglePage: true
          }, paginationProps, {
            total: total,
            pageSize: pageSize,
            current: current
          });

          return _react2.default.createElement(
            _react2.default.Fragment,
            null,
            _react2.default.createElement(_table2.default, (0, _extends3.default)({}, otherProps, { pagination: paginationProps }))
          );
        }
      }

      return _react2.default.createElement(_table2.default, this.props);
    }
  }]);
  return Table;
}(_react.Component), _class.propTypes = (0, _extends3.default)({}, _table2.default.propTypes), _class.defaultProps = (0, _extends3.default)({}, _table2.default.defaultProps), _temp);
exports.default = Table;
module.exports = exports['default'];